## COMMIT-Anweisung (commit_statement)

Eine COMMIT-Anweisung (commit_statement) beendet die aktuelle Transaktion und startet eine neue Transaktion.

### Syntax

<commit_statement> ::= COMMIT [WORK]

### Erläuterung

Die COMMIT-Anweisung dient zur Beendigung der aktuellen Transaktion (COMMIT).

Die COMMIT-Anweisung eröffnet implizit eine neue Transaktion. Alle innerhalb dieser neuen Transaktion gesetzten Sperren werden dieser Transaktion zugeordnet. Für das Setzen von Sperren in der neuen Transaktion gilt der in der CONNECT-Anweisung vereinbarte Isolation-Level.